---
title: "Query product size data in batch"
description: "Query the product size data in batch maintained in the size chart app."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/app-open-api/size-chart/query-product-size-data-in-batch'
  md: 'https://developer.shopline.com/docs/admin-rest-api/app-open-api/size-chart/query-product-size-data-in-batch.md'
---
# Query size charts in batch

Query the product size data in batch maintained in the size chart app.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_product_sizechart`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /sizecharts.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_product_sizechart`

## Request

### Query Parameters

* `page_num`

  integer (optional)

  The page number where the queried data is located. If not provided, it defaults to the first page.

* `page_size`

  integer (optional)

  The number of size chart entries per page.
  
  Default value：20
  
  Value range：1-20

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `data`

  object

  Response data.

  * `size_charts`

    array<object>

    A list of size chart data. 

    * `languages`

      array<string>

      When `language_scope` = `SPECIFIC`, retrieve the list of language codes that match the size chart from this field.The supported language enums are as follows.
      
      - pt-pt: Portuguese (Portugal)
      - tr: Turkish
      - zh-hans-cn: Simplified Chinese (Mainland China)
      - vi: Vietnamese
      - sv: Swedish
      - zh-hant-tw: Traditional Chinese
      - th: Thai
      - ar: Arabic
      - pl: Polish
      - ro: Romanian
      - sk: Slovak
      - ko: Korean
      - lv: Latvian
      - ms: Malay
      - pt: Portuguese (Brazil)
      - it: Italian
      - ja: Japanese
      - lt: Lithuanian
      - sl: Slovenian
      - nb: Norwegian Bokmål
      - ru: Russian
      - nl: Dutch
      - en: English
      - id: Indonesian
      - et: Estonian
      - bg: Bulgarian
      - hi: Hindi
      - cs: Czech
      - es: Spanish
      - fr: French
      - fi: Finnish
      - da: Danish
      - el: Greek
      - de: German
      - hr: Croatian
      - hu: Hungarian

    * `applicable_product_type`

      string

      Method type for matching the size chart with products.
      
      - `ALL`：apply to all products   
      - `SPECIFIC`：apply to specific products
      - `COLLECTION`：apply to specific product collection

    * `collection_list`

      array<string>

      When the `applicable_product_type` is set to `COLLECTION`, use this field to get a list of collection IDs that matching the size chart. 

    * `applicable_attribute_list`

      array<string>

      A list of applicable variant attribute for size charts,which will be mounted on these variant attributes for display.

    * `language_scope`

      string

      The method type that the size chart used to match language.
      - ALL ：All languages(default).  
      - SPECIFIC ：specific languages,When `language_scope` = `SPECIFIC` , the `languages` cannot be empty and must specify the supported `languages`.
      

    * `size_chart_id`

      string

      a unique id of Size Chart .

    * `status`

      boolean

      Publish Status of size chart.
      
      | Enum Value | Description |
      | --- | --- |
      | `true` | Publish this sizechart |
      | `false` | Not publish this sizechart |
      

    * `product_list`

      array<string>

      When `applicable_product_type` is set to `SPECIFIC`, this field represents a list of product IDs for matching the size chart, limited to returning only the first 100 product IDs order by the time of addition.

    * `contents`

      array<object>

      Size Data List.

      * `text`

        string

        Text Type Content.

      * `title`

        string

        Title of size chart table.

      * `type`

        string

        Enumaration of supported content types in a size chart.
        
        
        | Enum Value     | Description          |
        | -------------- | -------------------- |
        | SIZE_CHART     | Table Type           |
        | CROSS_SIZE_CHART| Cross Table Type     |
        | IMAGE          | Image Type           |
        | TEXT           | Text Type            |
        | TAB     | Tab Type           |
        

      * `url`

        string

        Image Type Content.

      * `cross_table_content`

        object

        Cross Table Data.

      * `table_content`

        object

        Table Data.

      * `tabs`

        array<object>

        Tabular data body where one tab component can contain up to 5 tab columns, each tab column can include up to 10 size data entities, and tabs can be nested within tabs up to 2 levels deep.

    * `title`

      string

      Size chart title.

    * `update_time`

      string

      Last Update Timestamp (UTC+8).

    * `create_time`

      string

      Size Chart Creation Timestamp (East Asia Time)

  * `total`

    long

    Number of size charts on the current page.

  * `has_next`

    boolean

    Indicates whether there is more data available on the next page.
    
    - `true`：has data on next page
    - `false`: no next page data

  * `page_num`

    integer

    Current page number.

  * `page_size`

    integer

    The number of size chart entries per page.


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Query the product size data in batch maintained in the size chart app.",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_product_sizechart` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "Y7wEYxOb",
  "parameters": [
    {
      "name": "page_num",
      "in": "query",
      "description": "The page number where the queried data is located. If not provided, it defaults to the first page.",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "page_num",
        "description": "The page number where the queried data is located. If not provided, it defaults to the first page.",
        "type": "integer",
        "example": 1
      },
      "example": 1,
      "examples": {
        "Batch query size chart": {
          "value": "1"
        }
      }
    },
    {
      "name": "page_size",
      "in": "query",
      "description": "The number of size chart entries per page.\n\nDefault value：20\n\nValue range：1-20",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "page_size",
        "description": "The number of size chart entries per page.\n\nDefault value：20\n\nValue range：1-20",
        "type": "integer",
        "example": 20
      },
      "example": 20,
      "examples": {
        "Batch query size chart": {
          "value": "10"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "data": {
                "name": "data",
                "description": "Response data.",
                "type": "object",
                "properties": {
                  "size_charts": {
                    "name": "size_charts",
                    "description": "A list of size chart data. ",
                    "type": "array",
                    "items": {
                      "name": "size_charts",
                      "description": "A list of size chart data. ",
                      "type": "object",
                      "properties": {
                        "languages": {
                          "name": "languages",
                          "description": "When `language_scope` = `SPECIFIC`, retrieve the list of language codes that match the size chart from this field.The supported language enums are as follows.\n\n- pt-pt: Portuguese (Portugal)\n- tr: Turkish\n- zh-hans-cn: Simplified Chinese (Mainland China)\n- vi: Vietnamese\n- sv: Swedish\n- zh-hant-tw: Traditional Chinese\n- th: Thai\n- ar: Arabic\n- pl: Polish\n- ro: Romanian\n- sk: Slovak\n- ko: Korean\n- lv: Latvian\n- ms: Malay\n- pt: Portuguese (Brazil)\n- it: Italian\n- ja: Japanese\n- lt: Lithuanian\n- sl: Slovenian\n- nb: Norwegian Bokmål\n- ru: Russian\n- nl: Dutch\n- en: English\n- id: Indonesian\n- et: Estonian\n- bg: Bulgarian\n- hi: Hindi\n- cs: Czech\n- es: Spanish\n- fr: French\n- fi: Finnish\n- da: Danish\n- el: Greek\n- de: German\n- hr: Croatian\n- hu: Hungarian",
                          "type": "array",
                          "items": {
                            "name": "languages",
                            "description": "When `language_scope` = `SPECIFIC`, retrieve the list of language codes that match the size chart from this field.The supported language enums are as follows.\n\n- pt-pt: Portuguese (Portugal)\n- tr: Turkish\n- zh-hans-cn: Simplified Chinese (Mainland China)\n- vi: Vietnamese\n- sv: Swedish\n- zh-hant-tw: Traditional Chinese\n- th: Thai\n- ar: Arabic\n- pl: Polish\n- ro: Romanian\n- sk: Slovak\n- ko: Korean\n- lv: Latvian\n- ms: Malay\n- pt: Portuguese (Brazil)\n- it: Italian\n- ja: Japanese\n- lt: Lithuanian\n- sl: Slovenian\n- nb: Norwegian Bokmål\n- ru: Russian\n- nl: Dutch\n- en: English\n- id: Indonesian\n- et: Estonian\n- bg: Bulgarian\n- hi: Hindi\n- cs: Czech\n- es: Spanish\n- fr: French\n- fi: Finnish\n- da: Danish\n- el: Greek\n- de: German\n- hr: Croatian\n- hu: Hungarian",
                            "type": "string",
                            "example": ""
                          },
                          "example": [
                            ""
                          ]
                        },
                        "applicable_product_type": {
                          "name": "applicable_product_type",
                          "description": "Method type for matching the size chart with products.\n\n- `ALL`：apply to all products   \n- `SPECIFIC`：apply to specific products\n- `COLLECTION`：apply to specific product collection",
                          "type": "string",
                          "example": "ALL"
                        },
                        "collection_list": {
                          "name": "collection_list",
                          "description": "When the `applicable_product_type` is set to `COLLECTION`, use this field to get a list of collection IDs that matching the size chart. ",
                          "type": "array",
                          "items": {
                            "name": "collection_list",
                            "description": "When the `applicable_product_type` is set to `COLLECTION`, use this field to get a list of collection IDs that matching the size chart. ",
                            "type": "string",
                            "example": "12260895952237462871473144"
                          },
                          "example": [
                            "12260895952237462871473144"
                          ]
                        },
                        "applicable_attribute_list": {
                          "name": "applicable_attribute_list",
                          "description": "A list of applicable variant attribute for size charts,which will be mounted on these variant attributes for display.",
                          "type": "array",
                          "items": {
                            "name": "applicable_attribute_list",
                            "description": "A list of applicable variant attribute for size charts,which will be mounted on these variant attributes for display.",
                            "type": "string",
                            "example": "size"
                          },
                          "example": [
                            "size"
                          ]
                        },
                        "language_scope": {
                          "name": "language_scope",
                          "description": "The method type that the size chart used to match language.\n- ALL ：All languages(default).  \n- SPECIFIC ：specific languages,When `language_scope` = `SPECIFIC` , the `languages` cannot be empty and must specify the supported `languages`.\n",
                          "type": "string",
                          "example": ""
                        },
                        "size_chart_id": {
                          "name": "size_chart_id",
                          "description": "a unique id of Size Chart .",
                          "type": "string",
                          "example": "13266288837293171311580520"
                        },
                        "status": {
                          "name": "status",
                          "description": "Publish Status of size chart.\n\n| Enum Value | Description |\n| --- | --- |\n| `true` | Publish this sizechart |\n| `false` | Not publish this sizechart |\n",
                          "type": "boolean",
                          "example": false
                        },
                        "product_list": {
                          "name": "product_list",
                          "description": "When `applicable_product_type` is set to `SPECIFIC`, this field represents a list of product IDs for matching the size chart, limited to returning only the first 100 product IDs order by the time of addition.",
                          "type": "array",
                          "items": {
                            "name": "product_list",
                            "description": "When `applicable_product_type` is set to `SPECIFIC`, this field represents a list of product IDs for matching the size chart, limited to returning only the first 100 product IDs order by the time of addition.",
                            "type": "string",
                            "example": "16064649853088531841170520"
                          },
                          "example": [
                            "16064649853088531841170520"
                          ]
                        },
                        "contents": {
                          "name": "contents",
                          "description": "Size Data List.",
                          "type": "array",
                          "items": {
                            "name": "contents",
                            "description": "Size Data List.",
                            "type": "object",
                            "properties": {
                              "text": {
                                "name": "text",
                                "description": "Text Type Content.",
                                "type": "string",
                                "example": "My SizeChart"
                              },
                              "title": {
                                "name": "title",
                                "description": "Title of size chart table.",
                                "type": "string",
                                "example": "My SizeChart"
                              },
                              "type": {
                                "name": "type",
                                "description": "Enumaration of supported content types in a size chart.\n\n\n| Enum Value     | Description          |\n| -------------- | -------------------- |\n| SIZE_CHART     | Table Type           |\n| CROSS_SIZE_CHART| Cross Table Type     |\n| IMAGE          | Image Type           |\n| TEXT           | Text Type            |\n| TAB     | Tab Type           |\n",
                                "type": "string",
                                "example": "SIZE_CHART"
                              },
                              "url": {
                                "name": "url",
                                "description": "Image Type Content.",
                                "type": "string",
                                "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                              },
                              "cross_table_content": {
                                "name": "cross_table_content",
                                "description": "Cross Table Data.",
                                "type": "object",
                                "properties": {
                                  "row_title": {
                                    "name": "row_title",
                                    "description": "Row Title of cross_table.",
                                    "type": "string",
                                    "example": "high"
                                  },
                                  "row_unit": {
                                    "name": "row_unit",
                                    "description": "The size unit of  the rows in the  cross table.",
                                    "type": "object",
                                    "properties": {
                                      "convert_unit": {
                                        "name": "convert_unit",
                                        "description": "Row Column Conversion Unit, the unit must belong to the unit type in the `unit_type` parameter and must be different from the value of `default_unit`.",
                                        "type": "string",
                                        "example": "feet"
                                      },
                                      "default_unit": {
                                        "name": "default_unit",
                                        "description": "Default Unit, the unit must belong to the unit type specified in the `unit_type` parameter.",
                                        "type": "string",
                                        "example": "cm"
                                      },
                                      "unit_type": {
                                        "name": "unit_type",
                                        "description": "The unit types supported by cross tables and the specific measurement units within each type.\n\n| Unit Type | Unit Type Description | Supported Unit | Supported Unit Description |\n| :--: | :--: | :--: | :--: |\n| LENGTH | Length | feet | Feet |\n| LENGTH | Length | m | Meters |\n| LENGTH | Length | cm | Centimeters |\n| LENGTH | Length | mm | Millimeters |\n| LENGTH | Length | in | Inches |\n| WEIGHT | Weight (Default) | lb | Pounds |\n| WEIGHT | Weight (Default) | oz | Ounces |\n| WEIGHT | Weight (Default) | kg | Kilograms |\n| WEIGHT | Weight (Default) | g | Grams |\n| WEIGHT | Weight (Default) | mg | Milligrams |\n| BULK | Volume | us_gal | Gallon (US) |\n| BULK | Volume | uk_gal | Gallon (UK) |\n| BULK | Volume | oz_us | Fluid Ounce (US) |\n| BULK | Volume | oz_uk | Fluid Ounce (UK) |\n| BULK | Volume | ml | Milliliters |\n| BULK | Volume | l | Liters |",
                                        "type": "string",
                                        "example": "LENGTH"
                                      }
                                    },
                                    "example": {
                                      "unit_type": "LENGTH",
                                      "convert_unit": "feet",
                                      "default_unit": "cm"
                                    }
                                  },
                                  "size_data": {
                                    "name": "size_data",
                                    "description": "Cross Table Body, where an array represents the data for one row of the table. Each element in the array represents the data for a cell in the table.",
                                    "type": "array",
                                    "items": {
                                      "name": "size_data",
                                      "description": "Cross Table Body, where an array represents the data for one row of the table. Each element in the array represents the data for a cell in the table.",
                                      "type": "object",
                                      "properties": {
                                        "row_data": {
                                          "name": "row_data",
                                          "description": "Cross Table Row Data, where each element in the array represents a cell in a row of data. ",
                                          "type": "array",
                                          "items": {
                                            "name": "row_data",
                                            "description": "Cross Table Row Data, where each element in the array represents a cell in a row of data. ",
                                            "type": "string",
                                            "example": "XS,64"
                                          },
                                          "example": [
                                            "XS,64"
                                          ]
                                        }
                                      },
                                      "example": {
                                        "row_data": [
                                          "XS,64"
                                        ]
                                      }
                                    },
                                    "example": [
                                      {
                                        "row_data": [
                                          "XS,64"
                                        ]
                                      }
                                    ]
                                  },
                                  "column_title": {
                                    "name": "column_title",
                                    "description": "Column Title of cross table.",
                                    "type": "string",
                                    "example": "weight"
                                  },
                                  "column_unit": {
                                    "name": "column_unit",
                                    "description": "The size unit of  the columns in the  cross table.",
                                    "type": "object",
                                    "properties": {
                                      "convert_unit": {
                                        "name": "convert_unit",
                                        "description": "Conversion Unit, the unit must belong to the unit type in the `unit_type` parameter and must be different from the value of `default_unit`.",
                                        "type": "string",
                                        "example": "kg"
                                      },
                                      "default_unit": {
                                        "name": "default_unit",
                                        "description": "Default Unit, the unit must belong to the unit type specified in the `unit_type` parameter.",
                                        "type": "string",
                                        "example": "lb"
                                      },
                                      "unit_type": {
                                        "name": "unit_type",
                                        "description": "The unit types supported by cross tables and the specific measurement units within each type.\n\n| Unit Type | Unit Type Description | Supported Unit | Supported Unit Description |\n| :--: | :--: | :--: | :--: |\n| LENGTH | Length | feet | Feet |\n| LENGTH | Length | m | Meters |\n| LENGTH | Length | cm | Centimeters |\n| LENGTH | Length | mm | Millimeters |\n| LENGTH | Length | in | Inches |\n| WEIGHT | Weight (Default) | lb | Pounds |\n| WEIGHT | Weight (Default) | oz | Ounces |\n| WEIGHT | Weight (Default) | kg | Kilograms |\n| WEIGHT | Weight (Default) | g | Grams |\n| WEIGHT | Weight (Default) | mg | Milligrams |\n| BULK | Volume | us_gal | Gallon (US) |\n| BULK | Volume | uk_gal | Gallon (UK) |\n| BULK | Volume | oz_us | Fluid Ounce (US) |\n| BULK | Volume | oz_uk | Fluid Ounce (UK) |\n| BULK | Volume | ml | Milliliters |\n| BULK | Volume | l | Liters |",
                                        "type": "string",
                                        "example": "WEIGHT"
                                      }
                                    },
                                    "example": {
                                      "default_unit": "lb",
                                      "unit_type": "WEIGHT",
                                      "convert_unit": "kg"
                                    }
                                  },
                                  "remark": {
                                    "name": "remark",
                                    "description": "Cross Table Remark.",
                                    "type": "string",
                                    "example": "1 lb = 0.45 kg，1 feet = 30.48 cm"
                                  }
                                },
                                "example": {
                                  "column_unit": {
                                    "unit_type": "WEIGHT",
                                    "convert_unit": "kg",
                                    "default_unit": "lb"
                                  },
                                  "remark": "1 lb = 0.45 kg，1 feet = 30.48 cm",
                                  "row_title": "high",
                                  "row_unit": {
                                    "convert_unit": "feet",
                                    "default_unit": "cm",
                                    "unit_type": "LENGTH"
                                  },
                                  "size_data": [
                                    {
                                      "row_data": [
                                        "XS,64"
                                      ]
                                    }
                                  ],
                                  "column_title": "weight"
                                }
                              },
                              "table_content": {
                                "name": "table_content",
                                "description": "Table Data.",
                                "type": "object",
                                "properties": {
                                  "size_data": {
                                    "name": "size_data",
                                    "description": "Table data body, an array represents a row of data in the table, the first array is the table header, each element in the array corresponds to the cell data in the table.",
                                    "type": "array",
                                    "items": {
                                      "name": "size_data",
                                      "description": "Table data body, an array represents a row of data in the table, the first array is the table header, each element in the array corresponds to the cell data in the table.",
                                      "type": "object",
                                      "properties": {
                                        "row_data": {
                                          "name": "row_data",
                                          "description": "Array representation of table row data, where each element in the array represents a cell.",
                                          "type": "array",
                                          "items": {
                                            "name": "row_data",
                                            "description": "Array representation of table row data, where each element in the array represents a cell.",
                                            "type": "string",
                                            "example": "XS,64"
                                          },
                                          "example": [
                                            "XS,64"
                                          ]
                                        }
                                      },
                                      "example": {
                                        "row_data": [
                                          "XS,64"
                                        ]
                                      }
                                    },
                                    "example": [
                                      {
                                        "row_data": [
                                          "XS,64"
                                        ]
                                      }
                                    ]
                                  },
                                  "unit": {
                                    "name": "unit",
                                    "description": "The size unit of table.",
                                    "type": "object",
                                    "properties": {
                                      "convert_unit": {
                                        "name": "convert_unit",
                                        "description": "Conversion Unit, the unit provided must belong to the unit type specified in the `unit_type` parameter and must be different from the value passed in `default_unit`.",
                                        "type": "string",
                                        "example": "in"
                                      },
                                      "default_unit": {
                                        "name": "default_unit",
                                        "description": "Default Unit, the unit must belong to the unit type specified in the `unit_type` parameter.",
                                        "type": "string",
                                        "example": "cm"
                                      },
                                      "unit_type": {
                                        "name": "unit_type",
                                        "description": "The unit types supported by table and the specific measurement units within each type.\n\n| Unit Type | Unit Type Description | Supported Unit | Supported Unit Description |\n| :--: | :--: | :--: | :--: |\n| LENGTH | Length | feet | Feet |\n| LENGTH | Length | m | Meters |\n| LENGTH | Length | cm | Centimeters |\n| LENGTH | Length | mm | Millimeters |\n| LENGTH | Length | in | Inches |\n| WEIGHT | Weight (Default) | lb | Pounds |\n| WEIGHT | Weight (Default) | oz | Ounces |\n| WEIGHT | Weight (Default) | kg | Kilograms |\n| WEIGHT | Weight (Default) | g | Grams |\n| WEIGHT | Weight (Default) | mg | Milligrams |\n| BULK | Volume | us_gal | Gallon (US) |\n| BULK | Volume | uk_gal | Gallon (UK) |\n| BULK | Volume | oz_us | Fluid Ounce (US) |\n| BULK | Volume | oz_uk | Fluid Ounce (UK) |\n| BULK | Volume | ml | Milliliters |\n| BULK | Volume | l | Liters |",
                                        "type": "string",
                                        "example": "LENGTH"
                                      }
                                    },
                                    "example": {
                                      "convert_unit": "in",
                                      "default_unit": "cm",
                                      "unit_type": "LENGTH"
                                    }
                                  },
                                  "country_size": {
                                    "name": "country_size",
                                    "description": "The country size data represents the names of sizes in different countries within this table.",
                                    "type": "object",
                                    "properties": {
                                      "status": {
                                        "name": "status",
                                        "description": "Country size function Switch.\n\n● `true`：trun on this function\n      \n● `false`：trun off this function\n",
                                        "type": "boolean",
                                        "example": true
                                      },
                                      "country_size_data": {
                                        "name": "country_size_data",
                                        "description": "The country size data where the first element of the array represents the country, and the other elements represent the names of different sizes in that country.",
                                        "type": "array",
                                        "items": {
                                          "name": "country_size_data",
                                          "description": "The country size data where the first element of the array represents the country, and the other elements represent the names of different sizes in that country.",
                                          "type": "object",
                                          "properties": {
                                            "country": {
                                              "name": "country",
                                              "description": "Country Name.",
                                              "type": "string",
                                              "example": "US"
                                            },
                                            "data": {
                                              "name": "data",
                                              "description": "An array representing the names of different sizes in the current country within the table.",
                                              "type": "array",
                                              "items": {
                                                "name": "data",
                                                "description": "An array representing the names of different sizes in the current country within the table.",
                                                "type": "string",
                                                "example": "78,89"
                                              },
                                              "example": [
                                                "78,89"
                                              ]
                                            }
                                          },
                                          "example": {
                                            "country": "US",
                                            "data": [
                                              "78,89"
                                            ]
                                          }
                                        },
                                        "example": [
                                          {
                                            "country": "US",
                                            "data": [
                                              "78,89"
                                            ]
                                          }
                                        ]
                                      },
                                      "cover_attribute": {
                                        "name": "cover_attribute",
                                        "description": "Override Size value Text or not,When `true` is passed, the country size names will be used to display the size attribute values on the page.\n\n● `true`：Override\n      \n● `false`：not Override\n      \n",
                                        "type": "boolean",
                                        "example": false
                                      }
                                    },
                                    "example": {
                                      "cover_attribute": false,
                                      "status": true,
                                      "country_size_data": [
                                        {
                                          "country": "US",
                                          "data": [
                                            "78,89"
                                          ]
                                        }
                                      ]
                                    }
                                  },
                                  "remark": {
                                    "name": "remark",
                                    "description": "Table remark.",
                                    "type": "string",
                                    "example": "1inch=2.54cm"
                                  }
                                },
                                "example": {
                                  "remark": "1inch=2.54cm",
                                  "size_data": [
                                    {
                                      "row_data": [
                                        "XS,64"
                                      ]
                                    }
                                  ],
                                  "unit": {
                                    "unit_type": "LENGTH",
                                    "convert_unit": "in",
                                    "default_unit": "cm"
                                  },
                                  "country_size": {
                                    "cover_attribute": false,
                                    "status": true,
                                    "country_size_data": [
                                      {
                                        "country": "US",
                                        "data": [
                                          "78,89"
                                        ]
                                      }
                                    ]
                                  }
                                }
                              },
                              "tabs": {
                                "name": "tabs",
                                "description": "Tabular data body where one tab component can contain up to 5 tab columns, each tab column can include up to 10 size data entities, and tabs can be nested within tabs up to 2 levels deep.",
                                "type": "array",
                                "items": {
                                  "name": "tabs",
                                  "description": "Tabular data body where one tab component can contain up to 5 tab columns, each tab column can include up to 10 size data entities, and tabs can be nested within tabs up to 2 levels deep.",
                                  "type": "object",
                                  "properties": {
                                    "tab_content": {
                                      "name": "tab_content",
                                      "description": "Size data of tab columns.",
                                      "type": "array",
                                      "items": {
                                        "name": "tab_content",
                                        "description": "Size data of tab columns.",
                                        "type": "object",
                                        "properties": {
                                          "url": {
                                            "name": "url",
                                            "description": "Image Type Content.",
                                            "type": "string",
                                            "example": ""
                                          },
                                          "cross_table_content": {
                                            "name": "cross_table_content",
                                            "description": "Cross Table Data.",
                                            "type": "object",
                                            "properties": {
                                              "size_data": {
                                                "name": "size_data",
                                                "description": "Cross Table Body, where an array represents the data for one row of the table. Each element in the array represents the data for a cell in the table.",
                                                "type": "array",
                                                "items": {
                                                  "name": "size_data",
                                                  "description": "Cross Table Body, where an array represents the data for one row of the table. Each element in the array represents the data for a cell in the table.",
                                                  "type": "object",
                                                  "properties": {
                                                    "row_data": {
                                                      "name": "row_data",
                                                      "description": "Cross Table Row Data, where each element in the array represents a cell in a row of data. ",
                                                      "type": "array",
                                                      "items": {
                                                        "name": "row_data",
                                                        "description": "Cross Table Row Data, where each element in the array represents a cell in a row of data. ",
                                                        "type": "string",
                                                        "example": "XS,64"
                                                      },
                                                      "example": [
                                                        "XS,64"
                                                      ]
                                                    }
                                                  },
                                                  "example": {
                                                    "row_data": [
                                                      "XS,64"
                                                    ]
                                                  }
                                                },
                                                "example": [
                                                  {
                                                    "row_data": [
                                                      "XS,64"
                                                    ]
                                                  }
                                                ]
                                              },
                                              "column_title": {
                                                "name": "column_title",
                                                "description": "Column Title of cross table.",
                                                "type": "string",
                                                "example": "weight"
                                              },
                                              "column_unit": {
                                                "name": "column_unit",
                                                "description": "The size unit of  the columns in the  cross table.",
                                                "type": "object",
                                                "properties": {
                                                  "default_unit": {
                                                    "name": "default_unit",
                                                    "description": "Default Unit, the unit must belong to the unit type specified in the `unit_type` parameter.",
                                                    "type": "string",
                                                    "example": "lb"
                                                  },
                                                  "unit_type": {
                                                    "name": "unit_type",
                                                    "description": "The unit types supported by cross tables and the specific measurement units within each type.\n\n| Unit Type | Unit Type Description | Supported Unit | Supported Unit Description |\n| :--: | :--: | :--: | :--: |\n| LENGTH | Length | feet | Feet |\n| LENGTH | Length | m | Meters |\n| LENGTH | Length | cm | Centimeters |\n| LENGTH | Length | mm | Millimeters |\n| LENGTH | Length | in | Inches |\n| WEIGHT | Weight (Default) | lb | Pounds |\n| WEIGHT | Weight (Default) | oz | Ounces |\n| WEIGHT | Weight (Default) | kg | Kilograms |\n| WEIGHT | Weight (Default) | g | Grams |\n| WEIGHT | Weight (Default) | mg | Milligrams |\n| BULK | Volume | us_gal | Gallon (US) |\n| BULK | Volume | uk_gal | Gallon (UK) |\n| BULK | Volume | oz_us | Fluid Ounce (US) |\n| BULK | Volume | oz_uk | Fluid Ounce (UK) |\n| BULK | Volume | ml | Milliliters |\n| BULK | Volume | l | Liters |",
                                                    "type": "string",
                                                    "example": ""
                                                  },
                                                  "convert_unit": {
                                                    "name": "convert_unit",
                                                    "description": "Conversion Unit, the unit must belong to the unit type in the `unit_type` parameter and must be different from the value of `default_unit`.",
                                                    "type": "string",
                                                    "example": "kg"
                                                  }
                                                },
                                                "example": {
                                                  "convert_unit": "kg",
                                                  "default_unit": "lb",
                                                  "unit_type": ""
                                                }
                                              },
                                              "remark": {
                                                "name": "remark",
                                                "description": "Cross Table Remark.",
                                                "type": "string",
                                                "example": ""
                                              },
                                              "row_title": {
                                                "name": "row_title",
                                                "description": "Row Title of cross_table.",
                                                "type": "string",
                                                "example": "high"
                                              },
                                              "row_unit": {
                                                "name": "row_unit",
                                                "description": "The size unit of  the rows in the  cross table.",
                                                "type": "object",
                                                "properties": {
                                                  "convert_unit": {
                                                    "name": "convert_unit",
                                                    "description": "Row Column Conversion Unit, the unit must belong to the unit type in the `unit_type` parameter and must be different from the value of `default_unit`.",
                                                    "type": "string",
                                                    "example": "feet"
                                                  },
                                                  "default_unit": {
                                                    "name": "default_unit",
                                                    "description": "Default Unit, the unit must belong to the unit type specified in the `unit_type` parameter.",
                                                    "type": "string",
                                                    "example": "cm"
                                                  },
                                                  "unit_type": {
                                                    "name": "unit_type",
                                                    "description": "The unit types supported by cross tables and the specific measurement units within each type.\n\n| Unit Type | Unit Type Description | Supported Unit | Supported Unit Description |\n| :--: | :--: | :--: | :--: |\n| LENGTH | Length | feet | Feet |\n| LENGTH | Length | m | Meters |\n| LENGTH | Length | cm | Centimeters |\n| LENGTH | Length | mm | Millimeters |\n| LENGTH | Length | in | Inches |\n| WEIGHT | Weight (Default) | lb | Pounds |\n| WEIGHT | Weight (Default) | oz | Ounces |\n| WEIGHT | Weight (Default) | kg | Kilograms |\n| WEIGHT | Weight (Default) | g | Grams |\n| WEIGHT | Weight (Default) | mg | Milligrams |\n| BULK | Volume | us_gal | Gallon (US) |\n| BULK | Volume | uk_gal | Gallon (UK) |\n| BULK | Volume | oz_us | Fluid Ounce (US) |\n| BULK | Volume | oz_uk | Fluid Ounce (UK) |\n| BULK | Volume | ml | Milliliters |\n| BULK | Volume | l | Liters |",
                                                    "type": "string",
                                                    "example": "LENGTH"
                                                  }
                                                },
                                                "example": {
                                                  "convert_unit": "feet",
                                                  "default_unit": "cm",
                                                  "unit_type": "LENGTH"
                                                }
                                              }
                                            },
                                            "example": {
                                              "remark": "",
                                              "row_title": "high",
                                              "row_unit": {
                                                "unit_type": "LENGTH",
                                                "convert_unit": "feet",
                                                "default_unit": "cm"
                                              },
                                              "size_data": [
                                                {
                                                  "row_data": [
                                                    "XS,64"
                                                  ]
                                                }
                                              ],
                                              "column_title": "weight",
                                              "column_unit": {
                                                "convert_unit": "kg",
                                                "default_unit": "lb",
                                                "unit_type": ""
                                              }
                                            }
                                          },
                                          "table_content": {
                                            "name": "table_content",
                                            "description": "Table Data.",
                                            "type": "object",
                                            "properties": {
                                              "country_size": {
                                                "name": "country_size",
                                                "description": "The country size data represents the names of sizes in different countries within this table.",
                                                "type": "object",
                                                "properties": {
                                                  "status": {
                                                    "name": "status",
                                                    "description": "Country size function Switch.\n\n● `true`：trun on this function\n      \n● `false`：trun off this function\n",
                                                    "type": "boolean",
                                                    "example": false
                                                  },
                                                  "country_size_data": {
                                                    "name": "country_size_data",
                                                    "description": "The country size data where the first element of the array represents the country, and the other elements represent the names of different sizes in that country.",
                                                    "type": "array",
                                                    "items": {
                                                      "name": "country_size_data",
                                                      "description": "The country size data where the first element of the array represents the country, and the other elements represent the names of different sizes in that country.",
                                                      "type": "object",
                                                      "properties": {
                                                        "country": {
                                                          "name": "country",
                                                          "description": "Country Name.",
                                                          "type": "string",
                                                          "example": ""
                                                        },
                                                        "data": {
                                                          "name": "data",
                                                          "description": "An array representing the names of different sizes in the current country within the table.",
                                                          "type": "array",
                                                          "items": {
                                                            "name": "data",
                                                            "description": "An array representing the names of different sizes in the current country within the table.",
                                                            "type": "string",
                                                            "example": ""
                                                          },
                                                          "example": [
                                                            ""
                                                          ]
                                                        }
                                                      },
                                                      "example": {
                                                        "data": [
                                                          ""
                                                        ],
                                                        "country": ""
                                                      }
                                                    },
                                                    "example": [
                                                      {
                                                        "data": [
                                                          ""
                                                        ],
                                                        "country": ""
                                                      }
                                                    ]
                                                  },
                                                  "cover_attribute": {
                                                    "name": "cover_attribute",
                                                    "description": "Override Size value Text or not,When `true` is passed, the country size names will be used to display the size attribute values on the page.\n\n● `true`：Override\n      \n● `false`：not Override\n      \n",
                                                    "type": "boolean",
                                                    "example": false
                                                  }
                                                },
                                                "example": {
                                                  "status": false,
                                                  "country_size_data": [
                                                    {
                                                      "country": "",
                                                      "data": [
                                                        ""
                                                      ]
                                                    }
                                                  ],
                                                  "cover_attribute": false
                                                }
                                              },
                                              "remark": {
                                                "name": "remark",
                                                "description": "Table remark.",
                                                "type": "string",
                                                "example": ""
                                              },
                                              "size_data": {
                                                "name": "size_data",
                                                "description": "Table data body, an array represents a row of data in the table, the first array is the table header, each element in the array corresponds to the cell data in the table.",
                                                "type": "array",
                                                "items": {
                                                  "name": "size_data",
                                                  "description": "Table data body, an array represents a row of data in the table, the first array is the table header, each element in the array corresponds to the cell data in the table.",
                                                  "type": "object",
                                                  "properties": {
                                                    "row_data": {
                                                      "name": "row_data",
                                                      "description": "Array representation of table row data, where each element in the array represents a cell.",
                                                      "type": "array",
                                                      "items": {
                                                        "name": "row_data",
                                                        "description": "Array representation of table row data, where each element in the array represents a cell.",
                                                        "type": "string",
                                                        "example": ""
                                                      },
                                                      "example": [
                                                        ""
                                                      ]
                                                    }
                                                  },
                                                  "example": {
                                                    "row_data": [
                                                      ""
                                                    ]
                                                  }
                                                },
                                                "example": [
                                                  {
                                                    "row_data": [
                                                      ""
                                                    ]
                                                  }
                                                ]
                                              },
                                              "unit": {
                                                "name": "unit",
                                                "description": "The size unit of table.",
                                                "type": "object",
                                                "properties": {
                                                  "unit_type": {
                                                    "name": "unit_type",
                                                    "description": "The unit types supported by table and the specific measurement units within each type.\n\n| Unit Type | Unit Type Description | Supported Unit | Supported Unit Description |\n| :--: | :--: | :--: | :--: |\n| LENGTH | Length | feet | Feet |\n| LENGTH | Length | m | Meters |\n| LENGTH | Length | cm | Centimeters |\n| LENGTH | Length | mm | Millimeters |\n| LENGTH | Length | in | Inches |\n| WEIGHT | Weight (Default) | lb | Pounds |\n| WEIGHT | Weight (Default) | oz | Ounces |\n| WEIGHT | Weight (Default) | kg | Kilograms |\n| WEIGHT | Weight (Default) | g | Grams |\n| WEIGHT | Weight (Default) | mg | Milligrams |\n| BULK | Volume | us_gal | Gallon (US) |\n| BULK | Volume | uk_gal | Gallon (UK) |\n| BULK | Volume | oz_us | Fluid Ounce (US) |\n| BULK | Volume | oz_uk | Fluid Ounce (UK) |\n| BULK | Volume | ml | Milliliters |\n| BULK | Volume | l | Liters |",
                                                    "type": "string",
                                                    "example": ""
                                                  },
                                                  "convert_unit": {
                                                    "name": "convert_unit",
                                                    "description": "Conversion Unit, the unit provided must belong to the unit type specified in the `unit_type` parameter and must be different from the value passed in `default_unit`.",
                                                    "type": "string",
                                                    "example": ""
                                                  },
                                                  "default_unit": {
                                                    "name": "default_unit",
                                                    "description": "Default Unit, the unit must belong to the unit type specified in the `unit_type` parameter.",
                                                    "type": "string",
                                                    "example": ""
                                                  }
                                                },
                                                "example": {
                                                  "unit_type": "",
                                                  "convert_unit": "",
                                                  "default_unit": ""
                                                }
                                              }
                                            },
                                            "example": {
                                              "remark": "",
                                              "size_data": [
                                                {
                                                  "row_data": [
                                                    ""
                                                  ]
                                                }
                                              ],
                                              "unit": {
                                                "convert_unit": "",
                                                "default_unit": "",
                                                "unit_type": ""
                                              },
                                              "country_size": {
                                                "status": false,
                                                "country_size_data": [
                                                  {
                                                    "country": "",
                                                    "data": [
                                                      ""
                                                    ]
                                                  }
                                                ],
                                                "cover_attribute": false
                                              }
                                            }
                                          },
                                          "tabs": {
                                            "name": "tabs",
                                            "description": "Secondary tab data , where there can be up to 5 secondary tab columns, each column can contain up to 10 size data entities.",
                                            "type": "array",
                                            "items": {
                                              "name": "tabs",
                                              "description": "Secondary tab data , where there can be up to 5 secondary tab columns, each column can contain up to 10 size data entities.",
                                              "type": "object",
                                              "properties": {
                                                "tab_content": {
                                                  "name": "tab_content",
                                                  "description": "Size data of secondary tab columns.",
                                                  "type": "array",
                                                  "items": {
                                                    "name": "tab_content",
                                                    "description": "Size data of secondary tab columns.",
                                                    "type": "object",
                                                    "properties": {
                                                      "text": {
                                                        "name": "text",
                                                        "description": "Text Type Content.",
                                                        "type": "string",
                                                        "example": ""
                                                      },
                                                      "title": {
                                                        "name": "title",
                                                        "description": "Title of size chart table.",
                                                        "type": "string",
                                                        "example": ""
                                                      },
                                                      "type": {
                                                        "name": "type",
                                                        "description": "Enumaration of supported content types in a secondary tab column.\n\n\n| Enum Value     | Description          |\n| -------------- | -------------------- |\n| SIZE_CHART     | Table Type           |\n| CROSS_SIZE_CHART| Cross Table Type     |\n| IMAGE          | Image Type           |\n| TEXT           | Text Type            |\n",
                                                        "type": "string",
                                                        "example": ""
                                                      },
                                                      "url": {
                                                        "name": "url",
                                                        "description": "Image Type Content.",
                                                        "type": "string",
                                                        "example": ""
                                                      },
                                                      "cross_table_content": {
                                                        "name": "cross_table_content",
                                                        "description": "Cross Table Data.",
                                                        "type": "object",
                                                        "properties": {
                                                          "size_data": {
                                                            "name": "size_data",
                                                            "description": "Cross Table Body, where an array represents the data for one row of the table. Each element in the array represents the data for a cell in the table.",
                                                            "type": "array",
                                                            "items": {
                                                              "name": "size_data",
                                                              "description": "Cross Table Body, where an array represents the data for one row of the table. Each element in the array represents the data for a cell in the table.",
                                                              "type": "object",
                                                              "properties": {
                                                                "row_data": {
                                                                  "name": "row_data",
                                                                  "description": "Cross Table Row Data, where each element in the array represents a cell in a row of data. ",
                                                                  "type": "array",
                                                                  "items": {
                                                                    "name": "row_data",
                                                                    "description": "Cross Table Row Data, where each element in the array represents a cell in a row of data. ",
                                                                    "type": "string",
                                                                    "example": "XS,64"
                                                                  },
                                                                  "example": [
                                                                    "XS,64"
                                                                  ]
                                                                }
                                                              },
                                                              "example": {
                                                                "row_data": [
                                                                  "XS,64"
                                                                ]
                                                              }
                                                            },
                                                            "example": [
                                                              {
                                                                "row_data": [
                                                                  "XS,64"
                                                                ]
                                                              }
                                                            ]
                                                          },
                                                          "column_title": {
                                                            "name": "column_title",
                                                            "description": "Column Title of cross table.",
                                                            "type": "string",
                                                            "example": ""
                                                          },
                                                          "column_unit": {
                                                            "name": "column_unit",
                                                            "description": "The size unit of  the columns in the  cross table.",
                                                            "type": "object",
                                                            "properties": {
                                                              "default_unit": {
                                                                "name": "default_unit",
                                                                "description": "Default Unit, the unit must belong to the unit type specified in the `unit_type` parameter.",
                                                                "type": "string",
                                                                "example": "lb"
                                                              },
                                                              "unit_type": {
                                                                "name": "unit_type",
                                                                "description": "The unit types supported by cross tables and the specific measurement units within each type.\n\n| Unit Type | Unit Type Description | Supported Unit | Supported Unit Description |\n| :--: | :--: | :--: | :--: |\n| LENGTH | Length | feet | Feet |\n| LENGTH | Length | m | Meters |\n| LENGTH | Length | cm | Centimeters |\n| LENGTH | Length | mm | Millimeters |\n| LENGTH | Length | in | Inches |\n| WEIGHT | Weight (Default) | lb | Pounds |\n| WEIGHT | Weight (Default) | oz | Ounces |\n| WEIGHT | Weight (Default) | kg | Kilograms |\n| WEIGHT | Weight (Default) | g | Grams |\n| WEIGHT | Weight (Default) | mg | Milligrams |\n| BULK | Volume | us_gal | Gallon (US) |\n| BULK | Volume | uk_gal | Gallon (UK) |\n| BULK | Volume | oz_us | Fluid Ounce (US) |\n| BULK | Volume | oz_uk | Fluid Ounce (UK) |\n| BULK | Volume | ml | Milliliters |\n| BULK | Volume | l | Liters |",
                                                                "type": "string",
                                                                "example": ""
                                                              },
                                                              "convert_unit": {
                                                                "name": "convert_unit",
                                                                "description": "Conversion Unit, the unit must belong to the unit type in the `unit_type` parameter and must be different from the value of `default_unit`.",
                                                                "type": "string",
                                                                "example": "kg"
                                                              }
                                                            },
                                                            "example": {
                                                              "unit_type": "",
                                                              "convert_unit": "kg",
                                                              "default_unit": "lb"
                                                            }
                                                          },
                                                          "remark": {
                                                            "name": "remark",
                                                            "description": "Cross Table Remark.",
                                                            "type": "string",
                                                            "example": ""
                                                          },
                                                          "row_title": {
                                                            "name": "row_title",
                                                            "description": "Row Title of cross_table.",
                                                            "type": "string",
                                                            "example": ""
                                                          },
                                                          "row_unit": {
                                                            "name": "row_unit",
                                                            "description": "The size unit of  the rows in the  cross table.",
                                                            "type": "object",
                                                            "properties": {
                                                              "convert_unit": {
                                                                "name": "convert_unit",
                                                                "description": "Row Column Conversion Unit, the unit must belong to the unit type in the `unit_type` parameter and must be different from the value of `default_unit`.",
                                                                "type": "string",
                                                                "example": "feet"
                                                              },
                                                              "default_unit": {
                                                                "name": "default_unit",
                                                                "description": "Default Unit, the unit must belong to the unit type specified in the `unit_type` parameter.",
                                                                "type": "string",
                                                                "example": "cm"
                                                              },
                                                              "unit_type": {
                                                                "name": "unit_type",
                                                                "description": "The unit types supported by cross tables and the specific measurement units within each type.\n\n| Unit Type | Unit Type Description | Supported Unit | Supported Unit Description |\n| :--: | :--: | :--: | :--: |\n| LENGTH | Length | feet | Feet |\n| LENGTH | Length | m | Meters |\n| LENGTH | Length | cm | Centimeters |\n| LENGTH | Length | mm | Millimeters |\n| LENGTH | Length | in | Inches |\n| WEIGHT | Weight (Default) | lb | Pounds |\n| WEIGHT | Weight (Default) | oz | Ounces |\n| WEIGHT | Weight (Default) | kg | Kilograms |\n| WEIGHT | Weight (Default) | g | Grams |\n| WEIGHT | Weight (Default) | mg | Milligrams |\n| BULK | Volume | us_gal | Gallon (US) |\n| BULK | Volume | uk_gal | Gallon (UK) |\n| BULK | Volume | oz_us | Fluid Ounce (US) |\n| BULK | Volume | oz_uk | Fluid Ounce (UK) |\n| BULK | Volume | ml | Milliliters |\n| BULK | Volume | l | Liters |",
                                                                "type": "string",
                                                                "example": "LENGTH"
                                                              }
                                                            },
                                                            "example": {
                                                              "convert_unit": "feet",
                                                              "default_unit": "cm",
                                                              "unit_type": "LENGTH"
                                                            }
                                                          }
                                                        },
                                                        "example": {
                                                          "row_title": "",
                                                          "row_unit": {
                                                            "unit_type": "LENGTH",
                                                            "convert_unit": "feet",
                                                            "default_unit": "cm"
                                                          },
                                                          "size_data": [
                                                            {
                                                              "row_data": [
                                                                "XS,64"
                                                              ]
                                                            }
                                                          ],
                                                          "column_title": "",
                                                          "column_unit": {
                                                            "default_unit": "lb",
                                                            "unit_type": "",
                                                            "convert_unit": "kg"
                                                          },
                                                          "remark": ""
                                                        }
                                                      },
                                                      "table_content": {
                                                        "name": "table_content",
                                                        "description": "Table Data.",
                                                        "type": "object",
                                                        "properties": {
                                                          "country_size": {
                                                            "name": "country_size",
                                                            "description": "The country size data represents the names of sizes in different countries within this table.",
                                                            "type": "object",
                                                            "properties": {
                                                              "country_size_data": {
                                                                "name": "country_size_data",
                                                                "description": "The country size data where the first element of the array represents the country, and the other elements represent the names of different sizes in that country.",
                                                                "type": "array",
                                                                "items": {
                                                                  "name": "country_size_data",
                                                                  "description": "The country size data where the first element of the array represents the country, and the other elements represent the names of different sizes in that country.",
                                                                  "type": "object",
                                                                  "properties": {
                                                                    "country": {
                                                                      "name": "country",
                                                                      "description": "Country Name.",
                                                                      "type": "string",
                                                                      "example": ""
                                                                    },
                                                                    "data": {
                                                                      "name": "data",
                                                                      "description": "An array representing the names of different sizes in the current country within the table.",
                                                                      "type": "array",
                                                                      "items": {
                                                                        "name": "data",
                                                                        "description": "An array representing the names of different sizes in the current country within the table.",
                                                                        "type": "string",
                                                                        "example": ""
                                                                      },
                                                                      "example": [
                                                                        ""
                                                                      ]
                                                                    }
                                                                  },
                                                                  "example": {
                                                                    "country": "",
                                                                    "data": [
                                                                      ""
                                                                    ]
                                                                  }
                                                                },
                                                                "example": [
                                                                  {
                                                                    "country": "",
                                                                    "data": [
                                                                      ""
                                                                    ]
                                                                  }
                                                                ]
                                                              },
                                                              "cover_attribute": {
                                                                "name": "cover_attribute",
                                                                "description": "Override Size value Text or not,When `true` is passed, the country size names will be used to display the size attribute values on the page.\n\n● `true`：Override\n      \n● `false`：not Override\n      \n",
                                                                "type": "boolean",
                                                                "example": false
                                                              },
                                                              "status": {
                                                                "name": "status",
                                                                "description": "Country size function Switch.\n\n● `true`：trun on this function\n      \n● `false`：trun off this function\n",
                                                                "type": "boolean",
                                                                "example": false
                                                              }
                                                            },
                                                            "example": {
                                                              "country_size_data": [
                                                                {
                                                                  "data": [
                                                                    ""
                                                                  ],
                                                                  "country": ""
                                                                }
                                                              ],
                                                              "cover_attribute": false,
                                                              "status": false
                                                            }
                                                          },
                                                          "remark": {
                                                            "name": "remark",
                                                            "description": "Table remark.",
                                                            "type": "string",
                                                            "example": ""
                                                          },
                                                          "size_data": {
                                                            "name": "size_data",
                                                            "description": "Table data body, an array represents a row of data in the table, the first array is the table header, each element in the array corresponds to the cell data in the table.",
                                                            "type": "array",
                                                            "items": {
                                                              "name": "size_data",
                                                              "description": "Table data body, an array represents a row of data in the table, the first array is the table header, each element in the array corresponds to the cell data in the table.",
                                                              "type": "object",
                                                              "properties": {
                                                                "row_data": {
                                                                  "name": "row_data",
                                                                  "description": "Array representation of table row data, where each element in the array represents a cell.",
                                                                  "type": "array",
                                                                  "items": {
                                                                    "name": "row_data",
                                                                    "description": "Array representation of table row data, where each element in the array represents a cell.",
                                                                    "type": "string",
                                                                    "example": ""
                                                                  },
                                                                  "example": [
                                                                    ""
                                                                  ]
                                                                }
                                                              },
                                                              "example": {
                                                                "row_data": [
                                                                  ""
                                                                ]
                                                              }
                                                            },
                                                            "example": [
                                                              {
                                                                "row_data": [
                                                                  ""
                                                                ]
                                                              }
                                                            ]
                                                          },
                                                          "unit": {
                                                            "name": "unit",
                                                            "description": "The size unit of table.",
                                                            "type": "object",
                                                            "properties": {
                                                              "unit_type": {
                                                                "name": "unit_type",
[...]
